<template>
  <div>
    <hello-metamask />
    <savings-component />
  </div>
</template>
<script>
import HelloMetamask from '@/components/hello-metamask'
import SavingsComponent from '@/components/savings-component'
export default {
  name: 'blockchain-final-dapp',
  beforeCreate () {
    console.log('registerWeb3 Action dispatched from blockchain-final-dapp.vue')
    this.$store.dispatch('registerWeb3')
  },
  components: {
    'hello-metamask': HelloMetamask,
    'savings-component': SavingsComponent
  }
}
</script>
<style scoped></style>
